View Issue Details

IDProjectCategoryView StatusLast Update
0002442SOGoBackend Address Bookpublic2013-10-29 21:12
Reporterdavrom Assigned Toludovic  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentosOS Version6.2
Product Versionnightly v2 
Target Version2.1.0Fixed in Version2.1.0 
Summary0002442: Unable to create addressbooks or calendars via SOGo web interface
Description

When attempting to create an addressbook (or calendar), /var/log/sogo/sogo.log shows:

Oct 11 15:22:55 sogod [4760]: <0x0x2541a7c[WOWatchDogChild]> child 4770 exited
Oct 11 15:22:55 sogod [4760]: <0x0x2541a7c[WOWatchDogChild]> (terminated due to signal 11, coredump)
Oct 11 15:22:55 sogod [4760]: <0x0x26e70d4[WOWatchDog]> child spawned with pid 6945

I have checked the installed packages, between a working and not-working install of CentOS 6.2, but to no avail.

The /v/home/sogo/GNUstep/Defaults/.GNUstepDefaults files are the same on both servers with the exception of my password for 'sogo'@'localhost' for MySQL are different to the customer.

All works as expected on the customer site with the exception of the above error when attempting to create addressbooks or calendars.

I have tried the standard rpms and nightly builds of SOGo as well as using http and https when accessing the SOGo login site.

Given the limited feedback in the log file, I can't try much else at this point until I get some pointers on where to go :-)

My apologies if this is a noob question but given it works perfectly on my own setup, it should work the same for customers. Hoping I have missed something 'simple' somewhere.

Steps To Reproduce

Login as a user and attempt to create an addressbook or new calendar.

Additional Information

I have two identical CentOS 6.2 servers - mine and my customers. I first used my server as my template to get this going and all works well for addressbooks as per my log files show below where I created and deleted the addressbook abc123:

192.168.201.2 - - [11/Oct/2013:15:10:35 GMT] "POST /SOGo/so/david/Contacts//createFolder?name=abc123 HTTP/1.1" 201 23/0
4.831 - - 8K
192.168.222.2 - - [11/Oct/2013:15:11:20 GMT] "POST /SOGo/so/david/Contacts/B72-52578880-1-5BDA9800/view?noframe=1&sort=c_cn&asc=true HTTP/1.1" 200 0/0 0.011 - - 0
192.168.222.2 - - [11/Oct/2013:15:11:26 GMT] "POST /SOGo/so/david/Contacts/B72-52578880-1-5BDA9800/delete HTTP/1.1" 204 0/0 4.386 - - 0
192.168.222.2 - - [11/Oct/2013:15:11:26 GMT] "POST /SOGo/so/david/Contacts/personal/view?noframe=1&sort=c_cn&asc=true
HTTP/1.1" 200 0/0 0.008 - - 0

TagsNo tags attached.

Activities

davrom

davrom

2013-10-15 01:53

reporter   ~0006099

Found one major difference, I am on CentOS 6.2 and the customer has been updated to CentOS 6.4 (i686).
I went back through and made sure all of the underlying things were working such as ldap (assuming that perhaps SOGo uses ldap somewhere?) Re-installs of SOGo to suit the later /var/lib/sogo $HOME directory yielded the same results.
I did note something, I started "tail -f" on /var/log/messages as well and saw this one whenever I attempted to create an address book:

abrtd: Directory 'ccpp-2013-10-15-15:40:14-22096' creation detected
abrtd: Package 'sogo' isn't signed with proper key

so my thinking it is something in the permissions but where oh where? I have run heaps of finds to then do the "chown -R sogo:sogo" on directories - had issue with this initially myself as the cleanup of the sogo un-install leaves some directories laying around sometimes.

davrom

davrom

2013-10-15 01:57

reporter   ~0006100

Customer .GNUstepDefaults file, same as mine except the password for MySQL:

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//GNUstep//DTD plist 0.9//EN" "http://www.gnustep.org/plist-0_9.xml&quot;>
<plist version="0.9">
<dict>
<key>NSGlobalDomain</key>
<dict>
</dict>
<key>sogod</key>
<dict>
<key>OCSFolderInfoURL</key>
<string>mysql://sogo:l3tm31n@localhost:3306/sogo/sogo_folder_info</string>
<key>OCSSessionsFolderURL</key>
<string>mysql://sogo:letmein@localhost:3306/sogo/sogo_sessions_folder</string>
<key>SOGoACLsSendEMailNotifications</key>
<string>YES</string>
<key>SOGoAppointmentSendEMailNotifications</key>
<string>YES</string>
<key>SOGoAppointmentsSendEMailNotification</key>
<string>YES</string>
<key>SOGoDraftsFolderName</key>
<string>Drafts</string>
<key>SOGoFoldersSendEMailNotifications</key>
<string>YES</string>
<key>SOGoIMAPServer</key>
<string>localhost</string>
<key>SOGoLanguage</key>
<string>English</string>
<key>SOGoMailDomain</key>
<string>savcom.com.au</string>
<key>SOGoMailMessageCheck</key>
<string>every_5_minutes</string>
<key>SOGoMailingMechanism</key>
<string>smtp</string>
<key>SOGoMemcachedHost</key>
<string>127.0.0.1</string>
<key>SOGoProfileURL</key>
<string>mysql://sogo:letmein@localhost:3306/sogo/sogo_user_profile</string>
<key>SOGoSMTPServer</key>
<string>localhost</string>
<key>SOGoSentFolderName</key>
<string>Sent</string>
<key>SOGoSuperUsernames</key>
<array>
<string>admin</string>
</array>
<key>SOGoTimeZone</key>
<string>Australia/Brisbane</string>
<key>SOGoTrashFolderName</key>
<string>Trash</string>
<key>SOGoUserSources</key>
<array>
<dict>
<key>canAuthenticate</key>
<string>YES</string>
<key>displayName</key>
<string>SOGo Users</string>
<key>id</key>
<string>users</string>
<key>isAddressBook</key>
<string>YES</string>
<key>type</key>
<string>sql</string>
<key>userPasswordAlgorithm</key>
<string>md5</string>
<key>viewURL</key>
<string>mysql://sogo:letmein@localhost:3306/sogo/sogo_users</string>
</dict>
</array>
</dict>
</dict>
</plist>

davrom

davrom

2013-10-15 02:12

reporter   ~0006101

Ran a trace and when I attempt to create an address book I get:

192.168.208.7 - - [15/Oct/2013:16:06:30 GMT] "GET /SOGo/so/mytest/Contacts HTTP/1.1" 302 0/0 0.004 - - 12K
192.168.208.7 - - [15/Oct/2013:16:06:32 GMT] "GET /SOGo/so/mytest/Contacts/view HTTP/1.1" 200 6232/0 1.702 22505 72% 120K
192.168.208.7 - - [15/Oct/2013:16:06:34 GMT] "POST /SOGo/so/mytest/Calendar/alarmslist?browserTime=1381817194 HTTP/1.1" 200 2/0 0.175 - - 44K
192.168.208.7 - - [15/Oct/2013:16:06:34 GMT] "POST /SOGo/so/mytest/Contacts/personal/canAccessContent HTTP/1.1" 204 0/0 0.006 - - 8K
192.168.208.7 - - [15/Oct/2013:16:06:34 GMT] "POST /SOGo/so/mytest/Contacts/users/canAccessContent HTTP/1.1" 204 0/0 0.005 - - 0

Program received signal SIGSEGV, Segmentation fault.
0xb73ec3ed in objc_msg_lookup () from /usr/lib/libobjc.so.2

and check the rpm installed:

libobjc-4.4.7-3.el6.i686

davrom

davrom

2013-10-15 18:39

reporter   ~0006106

Today, given installing earlier versions does nothing, I ran:

yum -y update sope sogo

and the ending result:

Updated:
sogo.i686 0:2.1.0.20131015-1.centos6
sope49-cards.i686 0:2.1.0.20131015-1.centos6
sope49-gdl1-contentstore.i686 0:2.1.0.20131015-1.centos6

Complete!

But still the same issue.

jraby

jraby

2013-10-17 08:15

viewer   ~0006108

The best way to diagnose this is to get a gdb backtrace : http://www.sogo.nu/english/nc/support/faq/article/how-do-i-debug-sogo.html

Make sure you have these packages installed before starting gdb: sogo-debuginfo sope49-debuginfo gnustep-base-debuginfo

stop sogo

then start gdb like this:
sudo -u sogo gdb --args /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid

Then add some breakpoints (I think you won't reach them since it is a segfault):
<pre>
b [NSException raise]
b abort
</pre>

Then, type 'run'.

Once sogo is running, try to reproduce the issue. Once sogo is crashed, run the 'bt full' command and paste the output here.

You can then exit gdb and restart sogo normally

davrom

davrom

2013-10-17 10:55

reporter   ~0006111

Many thanks for the feedback and here is the complete log of my ssh session to try and see what is happening. Lots of CRC errors so does this mean I have multiple files or something?

Output as follows:

GNU gdb (GDB) Red Hat Enterprise Linux (7.2-60.el6_4.1)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/sbin/sogod...
warning: the debug information found in "/usr/lib/debug//usr/sbin/sogod.debug" does not match "/usr/sbin/sogod" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/sbin/sogod.debug" does not match "/usr/sbin/sogod" (CRC mismatch).

(no debugging symbols found)...done.
Missing separate debuginfos, use: debuginfo-install sogo-2.1.0.20131015-1.centos6.i686
(gdb) b [NSException raise]
Function "" not defined.
Make breakpoint pending on future shared library load? (y or [n]) y

Breakpoint 1 ([NSException raise]) pending.
(gdb) b abort
Breakpoint 2 at 0x28cc
(gdb) run
Starting program: /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
warning: the debug information found in "/usr/lib/debug//usr/lib/libSOGo.so.2.1.0.debug" does not match "/usr/lib/libSOGo.so.2" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/libSOGo.so.2.1.0.debug" does not match "/usr/lib/libSOGo.so.2" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/libOGoContentStore.so.0.9.0.debug" does not match "/usr/lib/libOGoContentStore.so.0.9" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/libOGoContentStore.so.0.9.0.debug" does not match "/usr/lib/libOGoContentStore.so.0.9" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/libGDLContentStore.so.4.9.0.debug" does not match "/usr/lib/libGDLContentStore.so.4.9" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/libGDLContentStore.so.4.9.0.debug" does not match "/usr/lib/libGDLContentStore.so.4.9" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/libNGCards.so.4.9.0.debug" does not match "/usr/lib/libNGCards.so.4.9" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/libNGCards.so.4.9.0.debug" does not match "/usr/lib/libNGCards.so.4.9" (CRC mismatch).

[Thread debugging using libthread_db enabled]
Oct 18 00:52:25 sogod [3269]: version 2.1.0 (build root@shiva.inverse 201310150012) -- starting
Oct 18 00:52:25 sogod [3269]: vmem size check enabled: shutting down app when vmem > 384 MB
Oct 18 00:52:26 sogod [3269]: <0x0x2acb2c[SOGoProductLoader]> SOGo products loaded from '/usr/lib/GNUstep/SOGo':
Oct 18 00:52:26 sogod [3269]: <0x0x2acb2c[SOGoProductLoader]> ContactsUI.SOGo, MailPartViewers.SOGo, AdministrationUI.SOGo, Contacts.SOGo, MainUI.SOGo, Mailer.SOGo, Appointments.SOGo, PreferencesUI.SOGo, CommonUI.SOGo, SchedulerUI.SOGo, MailerUI.SOGo
warning: the debug information found in "/usr/lib/debug//usr/lib/GNUstep/SOGo/Appointments.SOGo/./Appointments.debug" does not match "/usr/lib/GNUstep/SOGo/Appointments.SOGo/./Appointments" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/GNUstep/SOGo/Appointments.SOGo/Appointments.debug" does not match "/usr/lib/GNUstep/SOGo/Appointments.SOGo/./Appointments" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/GNUstep/SOGo/Mailer.SOGo/./Mailer.debug" does not match "/usr/lib/GNUstep/SOGo/Mailer.SOGo/./Mailer" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/GNUstep/SOGo/Mailer.SOGo/Mailer.debug" does not match "/usr/lib/GNUstep/SOGo/Mailer.SOGo/./Mailer" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/GNUstep/SOGo/CommonUI.SOGo/./CommonUI.debug" does not match "/usr/lib/GNUstep/SOGo/CommonUI.SOGo/./CommonUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/GNUstep/SOGo/CommonUI.SOGo/CommonUI.debug" does not match "/usr/lib/GNUstep/SOGo/CommonUI.SOGo/./CommonUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/libSOGoUI.so.2.1.0.debug" does not match "/usr/lib/libSOGoUI.so.2.1" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/libSOGoUI.so.2.1.0.debug" does not match "/usr/lib/libSOGoUI.so.2.1" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/GNUstep/SOGo/MainUI.SOGo/./MainUI.debug" does not match "/usr/lib/GNUstep/SOGo/MainUI.SOGo/./MainUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/GNUstep/SOGo/MainUI.SOGo/MainUI.debug" does not match "/usr/lib/GNUstep/SOGo/MainUI.SOGo/./MainUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/GNUstep/SOGo/AdministrationUI.SOGo/./AdministrationUI.debug" does not match "/usr/lib/GNUstep/SOGo/AdministrationUI.SOGo/./AdministrationUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/GNUstep/SOGo/AdministrationUI.SOGo/AdministrationUI.debug" does not match "/usr/lib/GNUstep/SOGo/AdministrationUI.SOGo/./AdministrationUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/GNUstep/SOGo/Contacts.SOGo/./Contacts.debug" does not match "/usr/lib/GNUstep/SOGo/Contacts.SOGo/./Contacts" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/GNUstep/SOGo/Contacts.SOGo/Contacts.debug" does not match "/usr/lib/GNUstep/SOGo/Contacts.SOGo/./Contacts" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/GNUstep/SOGo/MailPartViewers.SOGo/./MailPartViewers.debug" does not match "/usr/lib/GNUstep/SOGo/MailPartViewers.SOGo/./MailPartViewers" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/GNUstep/SOGo/MailPartViewers.SOGo/MailPartViewers.debug" does not match "/usr/lib/GNUstep/SOGo/MailPartViewers.SOGo/./MailPartViewers" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/GNUstep/SOGo/MailerUI.SOGo/./MailerUI.debug" does not match "/usr/lib/GNUstep/SOGo/MailerUI.SOGo/./MailerUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/GNUstep/SOGo/MailerUI.SOGo/MailerUI.debug" does not match "/usr/lib/GNUstep/SOGo/MailerUI.SOGo/./MailerUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/GNUstep/SOGo/PreferencesUI.SOGo/./PreferencesUI.debug" does not match "/usr/lib/GNUstep/SOGo/PreferencesUI.SOGo/./PreferencesUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/GNUstep/SOGo/PreferencesUI.SOGo/PreferencesUI.debug" does not match "/usr/lib/GNUstep/SOGo/PreferencesUI.SOGo/./PreferencesUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/GNUstep/SOGo/ContactsUI.SOGo/./ContactsUI.debug" does not match "/usr/lib/GNUstep/SOGo/ContactsUI.SOGo/./ContactsUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/GNUstep/SOGo/ContactsUI.SOGo/ContactsUI.debug" does not match "/usr/lib/GNUstep/SOGo/ContactsUI.SOGo/./ContactsUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/GNUstep/SOGo/SchedulerUI.SOGo/./SchedulerUI.debug" does not match "/usr/lib/GNUstep/SOGo/SchedulerUI.SOGo/./SchedulerUI" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/GNUstep/SOGo/SchedulerUI.SOGo/SchedulerUI.debug" does not match "/usr/lib/GNUstep/SOGo/SchedulerUI.SOGo/./SchedulerUI" (CRC mismatch).

Oct 18 00:52:27 sogod [3269]: |SOGo| WOHttpAdaptor listening on address *:20000
2013-10-18 00:52:39.133 sogod[3269] Note: Using UTF-8 as URL encoding in NGExtensions.
Oct 18 00:52:39 sogod [3269]: <0x0x378414[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Oct 18 00:52:39 sogod [3269]: <0x0x378414[SOGoCache]> Using host(s) '127.0.0.1' as server(s)
2013-10-18 00:52:39.138 sogod[3269] Note(SoObject): SoDebugKeyLookup is enabled!
2013-10-18 00:52:39.138 sogod[3269] Note(SoObject): SoDebugBaseURL is enabled!
2013-10-18 00:52:39.138 sogod[3269] Note(SoObject): relative base URLs are enabled.

Program received signal SIGSEGV, Segmentation fault.
0xb73ec3ed in objc_msg_lookup () from /usr/lib/libobjc.so.2
(gdb) bt full
#0 0xb73ec3ed in objc_msg_lookup () from /usr/lib/libobjc.so.2
No symbol table info available.
0000001 0xb7f200d2 in ?? () from /usr/lib/libSOGo.so.2
No symbol table info available.
0000002 0xb7f1ff56 in ?? () from /usr/lib/libSOGo.so.2
No symbol table info available.
0000003 0xb7f369f6 in ?? () from /usr/lib/libSOGo.so.2
No symbol table info available.
0000004 0xb501a2e9 in ?? () from /usr/lib/GNUstep/SOGo/Contacts.SOGo/./Contacts
No symbol table info available.
0000005 0xb7f36c47 in ?? () from /usr/lib/libSOGo.so.2
No symbol table info available.
0000006 0xb5200aac in ?? () from /usr/lib/GNUstep/SOGo/CommonUI.SOGo/./CommonUI
No symbol table info available.
0000007 0xb75a1c18 in -[NSObject performSelector:] (self=0x4d8e94, _cmd=
0xb7cc6710, aSelector=0x3c3f88) at NSObject.m:1985
msg = 0xb5200968
0000008 0xb7b9e3d6 in -[WODirectAction performActionNamed:] (self=0x4d8e94, _cmd=
0xb7d1cc38, _actionName=0x4d4ae4) at WODirectAction.m:97
actionSel = 0x3c3f88
rng = {location = 2147483647, length = 0}
0000009 0xb7c2fe42 in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x4da5ac, _cmd=0xb7d1cc50, _client=0x4d794c,
---Type <return> to continue, or q <return> to quit---
_positionalArgs=0x0, _ctx=0x1b8fe4) at SoActionInvocation.m:300
method = 0x4d8e94
result = 0x0
0000010 0xb7c2ff7a in -[SoActionInvocation callOnObject:inContext:] (self=
0x4da5ac, _cmd=0xb7d1cbe0, _client=0x4d794c, _ctx=0x1b8fe4)
at SoActionInvocation.m:316
No locals.
0000011 0xb7c2fb9d in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x30fad4, _cmd=0xb7d1cc50, _client=0x4d794c,
_positionalArgs=0x0, _ctx=0x1b8fe4) at SoActionInvocation.m:259
method = 0xb7c2fb13
result = 0x0
0000012 0xb7c2ff7a in -[SoActionInvocation callOnObject:inContext:] (self=
0x30fad4, _cmd=0xb7d1b138, _client=0x4d794c, _ctx=0x1b8fe4)
at SoActionInvocation.m:316
No locals.
0000013 0xb7c2a0ca in -[SoObjectMethodDispatcher dispatchInContext:] (self=
0x4d8afc, _cmd=0xb7d1bb68, _ctx=0x1b8fe4) at SoObjectMethodDispatcher.m:191
pool = 0x1ba1b4
rq = 0x1e3364
httpMethod = 0xb7cdb508
clientObject = 0x4d794c
methodObject = 0x30fad4
---Type <return> to continue, or q <return> to quit---
resultObject = 0xbfffead8
0000014 0xb7c2c71b in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x381d0c, _cmd=0xb7ccff10, _rq=0x1e3364, _ctx=0x1b8fe4, _sn=
0x0, app=0x3aebac) at SoObjectRequestHandler.m:584
dispatcher = 0x4d8afc
r = 0x0
object = 0x30fad4
authenticator = 0x23e18c
doDispatch = 1 '\001'
0000015 0xb7bb0c44 in -[WORequestHandler handleRequest:] (self=0x381d0c, _cmd=
0xb7caf110, _request=0x1e3364) at WORequestHandler.m:237
startHandling = 0
app = 0x3aebac
response = 0x0
context = 0x1b8fe4
thread = 0x1a9d34
sessionId = 0x0
session = 0x0
uri = 0x3bbda4
0000016 0xb7b6edef in -[WOCoreApplication dispatchRequest:usingHandler:] (self=
0x3aebac, _cmd=0xb7caf140, _request=0x1e3364, handler=0x381d0c)
at WOCoreApplication.m:712
startDispatch = 0
---Type <return> to continue, or q <return> to quit---
response = 0x0
startDispatch = 0
0000017 0xb7b6f123 in -[WOCoreApplication dispatchRequest:] (self=0x3aebac, _cmd=
0x11b700, _request=0x1e3364) at WOCoreApplication.m:752
handler = 0x381d0c
0000018 0x00114241 in ?? ()
No symbol table info available.
0000019 0xb7c1a240 in -[WOHttpTransaction _run] (self=0x1baf8c, _cmd=0xb7d0c0c8)
at WOHttpTransaction.m:592
No locals.
0000020 0xb7c1a5e6 in -[WOHttpTransaction run] (self=0x1baf8c, _cmd=0xb7d0b0c0)
at WOHttpTransaction.m:645
ok = 1 '\001'
0000021 0xb7c15da8 in -[WOHttpAdaptor runConnection:] (self=0x34a504, _cmd=
0xb7d0b110, _socket=0x1bab74) at WOHttpAdaptor.m:367
tx = 0x1baf8c
0000022 0xb7c15fe9 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x34a504,
_cmd=0xb7d0b118, _connection=0x1bab74) at WOHttpAdaptor.m:401
t = -7.0735794874525035e-41
0000023 0xb7c16419 in -[WOHttpAdaptor _handleConnection:] (self=0x34a504, _cmd=
0xb7d0b170, connection=0x1bab74) at WOHttpAdaptor.m:460
No locals.
0000024 0xb7c168f3 in -[WOHttpAdaptor acceptConnection:] (self=0x34a504, _cmd=
---Type <return> to continue, or q <return> to quit---
0xb7d0b0a0, _notification=0x1ba02c) at WOHttpAdaptor.m:521
No locals.
0000025 0xb75918ee in -[NSNotificationCenter _postAndRelease:] (self=0x1abbfc,
_cmd=0xb78252e8, notification=0x1ba02c) at NSNotificationCenter.m:1223
o = 0x1ad310
count = 0
name = 0xb798ae00
object = 0x2f761d
n = 0x0
m = 0x1b9fa0
i = {{addr = 1757968, ext = 0x1ad310}, {addr = 3074349419, ext =
0xb73ed96b}, {addr = 1167384, ext = 0x11d018}, {addr = 589826, ext =
0x90002}, {addr = 3076070705, ext = 0xb7591d31}, {addr = 3074349090, ext =
0xb73ed822}, {addr = 3074349385, ext = 0xb73ed949}, {addr = 3086915442,
ext = 0xb7fe9772}, {addr = 3072395451, ext = 0xb72108bb}, {addr =
3074574076, ext = 0xb74246fc}, {addr = 3041070064, ext = 0xb5430bf0}, {
addr = 1769474, ext = 0x1b0002}, {addr = 3086940461, ext =
0xb7fef92d}, {addr = 3074573883, ext = 0xb742463b}, {addr = 3079134480,
ext = 0xb787dd10}, {addr = 3087003588, ext = 0xb7ffefc4}, {addr =
3, ext = 0x3}, {addr = 20, ext = 0x14}, {addr = 3073975256, ext =
0xb73923d8}, {addr = 3086917382, ext = 0xb7fe9f06}, {addr = 3221221272,
ext = 0xbfffef98}, {addr = 24, ext = 0x18}, {addr = 3073975200,
ext = 0xb73923a0}, {addr = 1810464, ext = 0x1ba020}, {addr = 1,
---Type <return> to continue, or q <return> to quit---
ext = 0x1}, {addr = 3074342946, ext = 0xb73ec022}, {addr =
3073975200, ext = 0xb73923a0}, {addr = 3110428, ext = 0x2f761c}, {addr =
3221221304, ext = 0xbfffefb8}, {addr = 3072798670, ext = 0xb7272fce}, {
addr = 3078773472, ext = 0xb7825ae0}, {addr = 3076132005, ext =
0xb75a0ca5}, {addr = 3221221320, ext = 0xbfffefc8}, {addr = 3078510492,
ext = 0xb77e579c}, {addr = 1752060, ext = 0x1abbfc}, {addr =
3110428, ext = 0x2f761c}, {addr = 3221221368, ext = 0xbfffeff8}, {addr =
3078510492, ext = 0xb77e579c}, {addr = 1752060, ext = 0x1abbfc}, {addr =
3110428, ext = 0x2f761c}, {addr = 3221221352, ext = 0xbfffefe8}, {addr =
3076935358, ext = 0xb7664ebe}, {addr = 3221221360, ext = 0xbfffeff0}, {
addr = 1693824, ext = 0x19d880}, {addr = 2090623100, ext =
0x7c9c607c}, {addr = 1810472, ext = 0x1ba028}, {addr = 81, ext = 0x51}, {
addr = 3078510492, ext = 0xb77e579c}, {addr = 3221221400, ext =
0xbffff018}, {addr = 3076129550, ext = 0xb75a030e}, {addr = 3078771168,
ext = 0xb78251e0}, {addr = 1693824, ext = 0x19d880}, {addr =
3221221400, ext = 0xbffff018}, {addr = 3075661101, ext = 0xb752dd2d}, {
addr = 3078771168, ext = 0xb78251e0}, {addr = 1810476, ext =
0x1ba02c}, {addr = 3074513596, ext = 0xb7415abc}, {addr = 0, ext = 0x0}, {
addr = 3087003588, ext = 0xb7ffefc4}, {addr = 3078510492, ext =
0xb77e579c}, {addr = 3221221496, ext = 0xbffff078}, {addr = 3074343896,
ext = 0xb73ec3d8}, {addr = 3078771168, ext = 0xb78251e0}, {addr =
1810476, ext = 0x1ba02c}}
b = {ptr = 0xbfffef28, count = 1, cap = 64, old = 0, zone = 0xb785c920}
---Type <return> to continue, or q <return> to quit---
a = 0xbffff028
0000026 0xb7591bda in -[NSNotificationCenter postNotificationName:object:userInfo:]
(self=0x1abbfc, _cmd=0xb78252f0, name=0xb798ae00, object=0x2f761c, info=
0x0) at NSNotificationCenter.m:1282
notification = 0x1ba02c
0000027 0xb7591a88 in -[NSNotificationCenter postNotificationName:object:] (self=
0x1abbfc, _cmd=0xb798af08, name=0xb798ae00, object=0x2f761c)
at NSNotificationCenter.m:1262
No locals.
0000028 0xb794ac37 in -[NSObject(FileObjectWatcher) receivedEvent:type:extra:forMode:] (self=0x2f761c, _cmd=0xb787af08, _fdData=0x6, _type=ET_RDESC, _extra=0x6,
_mode=0xb783a538) at NSRunLoop+FileObjects.m:57
nc = 0x1abbfc
0000029 0xb76a8d42 in -[GSRunLoopCtxt pollUntil:within:] (self=0x30342c, _cmd=
0xb783adf0, milliseconds=29806, contexts=0x336e9c) at GSRunLoopCtxt.m:632
fd = 6
watcher = 0x1ba00c
found = 0 '\000'
threadInfo = 0x2e9bcc
poll_return = 1
fdEnd = 2
fdIndex = 1
fdFinish = 1
---Type <return> to continue, or q <return> to quit---
count = 4294967295
i = 4294967295
immediate = 0 '\000'
PRETTY_FUNCTION__ = "-[GSRunLoopCtxt pollUntil:within:]"
0000030 0xb75dfd73 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x2b92f4,
_cmd=0xb783ae10, mode=0xb783a538, limit_date=0x3180d4) at NSRunLoop.m:1198
context = 0x30342c
ti = 29.80602103471756
timeout_ms = 29806
savedMode = 0x0
arp = 0x1ba0fc
PRETTY_FUNCTION__ = "-[NSRunLoop acceptInputForMode:beforeDate:]"
0000031 0xb75e0174 in -[NSRunLoop runMode:beforeDate:] (self=0x2b92f4, _cmd=
0xb7caf088, mode=0xb783a538, date=0x3000f4) at NSRunLoop.m:1266
arp = 0x1ba044
d = 0x3000f4
0000032 0xb7b6e5b8 in -[WOCoreApplication run] (self=0x3aebac, _cmd=0x11b610)
at WOCoreApplication.m:584
loop = 0x2b92f4
limitDate = 0x3000f4
pool = 0x2f1ee4
0000033 0x001138bc in ?? ()
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
0000034 0xb7b9a44d in WOApplicationMain (_appClassName=0x11a4e0, argc=13, argv=
0xbffff714) at WOApplicationMain.m:42
app = 0x3aebac
pool = 0x2add64
0000035 0xb7bbcc9a in WOWatchDogApplicationMain (appName=0x11a4e0, argc=13, argv=
0xbffff714) at WOWatchDogApplicationMain.m:1048
pool = 0x1dea2c
ud = 0x1ddfac
logFile = 0x1ff79c
nsPidFile = 0x1ffb8c
rc = 1114112
i = 2
childPid = 0
processInfo = 0x14923c
WOAppClass = 0x11b440
0000036 0x00112b31 in main ()
No symbol table info available.
(gdb)

jraby

jraby

2013-10-17 11:49

viewer   ~0006112

This means that your sogo-debug packages are out of sync with the sogo packages.

Since you installed the nightly builds, you'll have to update both sogo and sogo-debug packages to the latest to be able to get a meaningful backtrace.

kossa

kossa

2013-10-18 17:28

reporter   ~0006141

Last edited: 2013-10-18 18:05

View 3 revisions

Hi!
I have to confirm bug. Centos 6.4 sogo.x86_64 2.1.0.20131017-1.centos6
Same problem with creating new calendar
through WWW. Maby my backtrace will show something.

Edited !!! beter debug

Addresbook:

Breakpoint 1, -[NSException raise] (self=0x7ffff897b468, _cmd=0x7ffff56a3d60) at NSException.m:956
956 if (_reserved == 0)
Missing separate debuginfos, use: debuginfo-install libidn-1.18-2.el6.x86_64 libtool-ltdl-2.2.6-15.5.el6.x86_64
(gdb) bt full
#0 -[NSException raise] (self=0x7ffff897b468, _cmd=0x7ffff56a3d60) at NSException.m:956
No locals.
0000001 0x00007ffff51c2b82 in +[NSException raise:format:arguments:] (self=0x7ffff56a3980, _cmd=0x7ffff56a3d30, name=0x7ffff56a33a0, format=0x7ffff56cb660,
argList=0x7fffffffcc40) at NSException.m:849
reason = 0x7ffff87de408
except = 0x7ffff897b468
0000002 0x00007ffff51c2ac9 in +[NSException raise:format:] (self=0x7ffff56a3980, _cmd=0x7ffff56cca20, name=0x7ffff56a33a0, format=0x7ffff56cb660)
at NSException.m:835
args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fffffffcd30, reg_save_area = 0x7fffffffcc60}}
0000003 0x00007ffff5214bd9 in -[NSObject doesNotRecognizeSelector:] (self=0x7ffff878ba88, _cmd=0x7ffff56ccc00, aSelector=0x7ffff7d92fc0) at NSObject.m:1743
No locals.
0000004 0x00007ffff5214cd7 in -[NSObject forwardInvocation:] (self=0x7ffff878ba88, _cmd=0x7ffff57232e0, anInvocation=0x7ffff896bac8) at NSObject.m:1764
target = 0x0
0000005 0x00007ffff52dc2dc in GSFFIInvocationCallback (cif=0x7ffff897b3f0, retp=0x7fffffffd010, args=0x7fffffffce90, user=0x7ffff897b3b8) at GSFFIInvocation.m:637
obj = 0x7ffff878ba88
selector = 0x7ffff7d92fc0
invocation = 0x7ffff896bac8
sig = 0x7ffff8802ad8
__PRETTY_FUNCTION__ = "GSFFIInvocationCallback"
0000006 0x00007ffff1ccc769 in ffi_closure_unix64_inner (closure=0x7ffff7feb000, rvalue=0x7fffffffd010, reg_args=0x7fffffffcf60,
argp=0x7fffffffd030 "\030?\220\370\377\177") at ../src/x86/ffi64.c:629
cif = 0x7ffff897b3f0
avalue = 0x7fffffffce90
arg_types = 0x7ffff897b428
i = <value optimized out>
avn = 2
gprcount = 2
ssecount = <value optimized out>
ngpr = 1
nsse = 0
ret = 11
0000007 0x00007ffff1cccfc4 in ffi_closure_unix64 () at ../src/x86/unix64.S:228
No locals.
0000008 0x00007ffff7b170c4 in -[SOGoObject initWithName:inContainer:] (self=0x7ffff885fdc8, _cmd=0x7ffff7d92f70, _name=0x7ffff878ba88, _container=0x7ffff8903f18)
at SOGoObject.m:181
No locals.
0000009 0x00007ffff7b16f13 in +[SOGoObject objectWithName:inContainer:] (self=0x7fffe707f420, _cmd=0x7ffff7d9ccd0, _name=0x7ffff878ba88,
_container=0x7ffff8903f18) at SOGoObject.m:147
object = 0x7ffff7b3e9b7
0000010 0x00007ffff7b2d9d5 in -[SOGoParentFolder newFolderWithName:andNameInContainer:] (self=0x7ffff8903f18, _cmd=0x7fffe707cce0, name=0x7ffff890ca08,
newNameInContainer=0x7ffff878ba88) at SOGoParentFolder.m:339
newFolder = 0x7ffff7b4a661
error = 0x100000010f
0000011 0x00007fffe6e6db82 in -[SOGoContactFolders newFolderWithName:andNameInContainer:] (self=0x7ffff8903f18, _cmd=0x7ffff7d9cf50, name=0x7ffff890ca08,
newNameInContainer=0x7ffff878ba88) at SOGoContactFolders.m:189
currentUser = 0x7ffff8953bc8
result = 0x7ffff7d9cf90
source = 0x7ffff87c94a8
objc_super = {self = 0x7ffff8903f18, super_class = 0x7ffff7d9cb60}
0000012 0x00007ffff7b2dc1b in -[SOGoParentFolder newFolderWithName:nameInContainer:] (self=0x7ffff8903f18, _cmd=0x7fffe7ad7a90, name=0x7ffff890ca08,
newNameInContainer=0x7fffffffd1f8) at SOGoParentFolder.m:372
newFolderID = 0x7ffff878ba88
error = 0x7fffe7ad7a70
0000013 0x00007fffe78cdcf9 in -[UIxParentFolderActions createFolderAction] (self=0x7ffff8816d98, _cmd=0x7ffff898a410) at UIxParentFolderActions.m:47
response = 0x7ffff52dd32a
name = 0x7ffff890ca08
nameInContainer = 0x7ffff878ba88
---Type <return> to continue, or q <return> to quit---quit

Calendar:

Breakpoint 1, -[NSException raise] (self=0x7ffff884eb68, _cmd=0x7ffff56a3d60) at NSException.m:956
956 if (_reserved == 0)
Missing separate debuginfos, use: debuginfo-install libidn-1.18-2.el6.x86_64 libtool-ltdl-2.2.6-15.5.el6.x86_64
(gdb) bt full
#0 -[NSException raise] (self=0x7ffff884eb68, _cmd=0x7ffff56a3d60) at NSException.m:956
No locals.
0000001 0x00007ffff51c2b82 in +[NSException raise:format:arguments:] (self=0x7ffff56a3980, _cmd=0x7ffff56a3d30, name=0x7ffff56a33a0, format=0x7ffff56cb660,
argList=0x7fffffffcc50) at NSException.m:849
reason = 0x7ffff8852248
except = 0x7ffff884eb68
0000002 0x00007ffff51c2ac9 in +[NSException raise:format:] (self=0x7ffff56a3980, _cmd=0x7ffff56cca20, name=0x7ffff56a33a0, format=0x7ffff56cb660)
at NSException.m:835
args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fffffffcd40, reg_save_area = 0x7fffffffcc70}}
0000003 0x00007ffff5214bd9 in -[NSObject doesNotRecognizeSelector:] (self=0x7ffff8a6f2e8, _cmd=0x7ffff56ccc00, aSelector=0x7ffff7d92fc0) at NSObject.m:1743
No locals.
0000004 0x00007ffff5214cd7 in -[NSObject forwardInvocation:] (self=0x7ffff8a6f2e8, _cmd=0x7ffff57232e0, anInvocation=0x7ffff8829308) at NSObject.m:1764
target = 0x0
0000005 0x00007ffff52dc2dc in GSFFIInvocationCallback (cif=0x7ffff8a538a0, retp=0x7fffffffd020, args=0x7fffffffcea0, user=0x7ffff88439c8) at GSFFIInvocation.m:637
obj = 0x7ffff8a6f2e8
selector = 0x7ffff7d92fc0
invocation = 0x7ffff8829308
sig = 0x7ffff89ff5e8
__PRETTY_FUNCTION__ = "GSFFIInvocationCallback"
0000006 0x00007ffff1ccc769 in ffi_closure_unix64_inner (closure=0x7ffff7feb000, rvalue=0x7fffffffd020, reg_args=0x7fffffffcf70,
argp=0x7fffffffd040 "(\207\206\370\377\177") at ../src/x86/ffi64.c:629
cif = 0x7ffff8a538a0
avalue = 0x7fffffffcea0
arg_types = 0x7ffff8a538d8
i = <value optimized out>
avn = 2
gprcount = 2
ssecount = <value optimized out>
ngpr = 1
nsse = 0
ret = 11
0000007 0x00007ffff1cccfc4 in ffi_closure_unix64 () at ../src/x86/unix64.S:228
No locals.
0000008 0x00007ffff7b170c4 in -[SOGoObject initWithName:inContainer:] (self=0x7ffff8867968, _cmd=0x7fffe86749a0, _name=0x7ffff8a6f2e8, _container=0x7ffff8868728)
at SOGoObject.m:181
No locals.
0000009 0x00007fffe843988b in -[SOGoAppointmentFolder initWithName:inContainer:] (self=0x7ffff8867968, _cmd=0x7ffff7d92f70, name=0x7ffff8a6f2e8,
newContainer=0x7ffff8868728) at SOGoAppointmentFolder.m:254
user = 0x7fffe86748a0
objc_super = {self = 0x7ffff8867968, super_class = 0x7ffff7d9a6a0}
0000010 0x00007ffff7b16f13 in +[SOGoObject objectWithName:inContainer:] (self=0x7fffe86748a0, _cmd=0x7ffff7d9ccd0, _name=0x7ffff8a6f2e8,
_container=0x7ffff8868728) at SOGoObject.m:147
object = 0x4
0000011 0x00007ffff7b2d9d5 in -[SOGoParentFolder newFolderWithName:andNameInContainer:] (self=0x7ffff8868728, _cmd=0x7ffff7d9cf50, name=0x7ffff8866a48,
newNameInContainer=0x7ffff8a6f2e8) at SOGoParentFolder.m:339
newFolder = 0x7ffff88f8f88
error = 0x7ffff7d9d0e0
0000012 0x00007ffff7b2dc1b in -[SOGoParentFolder newFolderWithName:nameInContainer:] (self=0x7ffff8868728, _cmd=0x7fffe7ad7a90, name=0x7ffff8866a48,
newNameInContainer=0x7fffffffd1f8) at SOGoParentFolder.m:372
newFolderID = 0x7ffff8a6f2e8
error = 0x7fffe7ad7a70
0000013 0x00007fffe78cdcf9 in -[UIxParentFolderActions createFolderAction] (self=0x7ffff894e4c8, _cmd=0x7ffff8b68ca0) at UIxParentFolderActions.m:47
response = 0x7ffff52dd32a
name = 0x7ffff8866a48
nameInContainer = 0x7ffff8a6f2e8
0000014 0x00007ffff5215186 in -[NSObject performSelector:] (self=0x7ffff894e4c8, _cmd=0x7ffff6d7b3a0, aSelector=0x7ffff8b68ca0) at NSObject.m:1985
msg = 0x7fffe78cdbbc <-[UIxParentFolderActions createFolderAction]>
---Type <return> to continue, or q <return> to quit---quit

kossa

kossa

2013-10-18 18:19

reporter   ~0006142

And without breakpoints

Address book:

EXCEPTION: <NSException: 0x7ffff89785f8> NAME:NSInvalidArgumentException REASON:WOContext(instance) does not recognize length INFO:(null)

Program received signal SIGABRT, Aborted.
0x00007ffff43868e5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64 return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install libidn-1.18-2.el6.x86_64 libtool-ltdl-2.2.6-15.5.el6.x86_64
(gdb) bt full
#0 0x00007ffff43868e5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
resultvar = 0
pid = <value optimized out>
selftid = 5676
0000001 0x00007ffff43880c5 in abort () at abort.c:92
save_stage = 2
act = {sigaction_handler = {sa_handler = 0x7ffff56ccae0 <_OBJC_SELECTOR_TABLE+256>, sa_sigaction = 0x7ffff56ccae0 <_OBJC_SELECTOR_TABLE+256>},
sa_mask = {
val = {140737310613088, 140737488344272, 140737363692504, 140737363112680, 140737331822193, 140737290546008, 140737354013072,
140737488344528, 4294967295, 206158430224, 1, 2151360, 0, 0, 0, 140737354080256}}, sa_flags = -136454176, sa_restorer = 0x296c6c00000001}
sigs = {__val = {32, 0 <repeats 15 times>}}
0000002 0x00007ffff7ff960b in -[SOGo handleException:inContext:] (self=0x7ffff866a2b8, _cmd=0x7ffff6d8a8a0, _exc=0x7ffff89785f8, _ctx=0x7ffff89b0608)
at SOGo.m:400
No locals.
0000003 0x00007ffff6a56ee2 in -[WORequestHandler handleRequest:] (self=0x7ffff8587a48, _cmd=0x7ffff6d55740, _request=0x7ffff876cb08) at WORequestHandler.m:264
localException = 0x7ffff89785f8
startHandling = 0
app = 0x7ffff866a2b8
response = 0x0
context = 0x7ffff89b0608
thread = 0x7ffff82fcb38
sessionId = 0x0
session = 0x0
uri = 0x7ffff8965188
0000004 0x00007ffff6a1278c in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x7ffff866a2b8, _cmd=0x7ffff6d557a0, _request=0x7ffff876cb08,
handler=0x7ffff8587a48) at WOCoreApplication.m:712
startDispatch = 0
response = 0x0
startDispatch = 0
0000005 0x00007ffff6a12ae8 in -[WOCoreApplication dispatchRequest:] (self=0x7ffff866a2b8, _cmd=0x7ffff8201160, _request=0x7ffff876cb08) at WOCoreApplication.m:752
handler = 0x7ffff8587a48
0000006 0x00007ffff7ff98a9 in -[SOGo dispatchRequest:] (self=0x7ffff866a2b8, _cmd=0x7ffff6debb60, _request=0x7ffff876cb08) at SOGo.m:453
runLoopModes = 0x7ffff882d118
debugOn = 0 '\000'
resp = 0x7ffff8883588
startDate = 0x7fffffffd7f0
timeDelta = 6.953349582537907e-310
objc_super = {self = 0x7ffff866a2b8, super_class = 0x7ffff6dfb500}
0000007 0x00007ffff6abc459 in -[WOHttpTransaction _run] (self=0x7ffff8845fc8, _cmd=0x7ffff6debb90) at WOHttpTransaction.m:592
No locals.
0000008 0x00007ffff6abc82b in -[WOHttpTransaction run] (self=0x7ffff8845fc8, _cmd=0x7ffff6de9900) at WOHttpTransaction.m:645
ok = 1 '\001'
0000009 0x00007ffff6ab7daf in -[WOHttpAdaptor runConnection:] (self=0x7ffff86b1f18, _cmd=0x7ffff6de99a0, _socket=0x7ffff888f2e8) at WOHttpAdaptor.m:367
tx = 0x7ffff8845fc8
0000010 0x00007ffff6ab8003 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x7ffff86b1f18, _cmd=0x7ffff6de99b0, _connection=0x7ffff888f2e8)
at WOHttpAdaptor.m:401
t = 6.9533467978120416e-310
0000011 0x00007ffff6ab8468 in -[WOHttpAdaptor _handleConnection:] (self=0x7ffff86b1f18, _cmd=0x7ffff6de9a60, connection=0x7ffff888f2e8) at WOHttpAdaptor.m:460
No locals.
0000012 0x00007ffff6ab8958 in -[WOHttpAdaptor acceptConnection:] (self=0x7ffff86b1f18, _cmd=0x7ffff6de98c0, _notification=0x7ffff89cfe48) at WOHttpAdaptor.m:521
No locals.
0000013 0x00007ffff5206e2f in -[NSNotificationCenter _postAndRelease:] (self=0x7ffff83008b8, _cmd=0x7ffff56c2a50, notification=0x7ffff89cfe48)
at NSNotificationCenter.m:1223
o = 0x7ffff83036e0
count = 0
name = 0x7ffff60caf60
object = 0x7ffff8767fd9
n = 0x0
---Type <return> to continue, or q <return> to quit---quit

Calendar:

EXCEPTION: <NSException: 0x7ffff884f338> NAME:NSInvalidArgumentException REASON:WOContext(instance) does not recognize length INFO:(null)

Program received signal SIGABRT, Aborted.
0x00007ffff43868e5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64 return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install libidn-1.18-2.el6.x86_64 libtool-ltdl-2.2.6-15.5.el6.x86_64
(gdb) bt full
#0 0x00007ffff43868e5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
resultvar = 0
pid = <value optimized out>
selftid = 5397
0000001 0x00007ffff43880c5 in abort () at abort.c:92
save_stage = 2
act = {sigaction_handler = {sa_handler = 0x7ffff56ccae0 <_OBJC_SELECTOR_TABLE+256>, sa_sigaction = 0x7ffff56ccae0 <_OBJC_SELECTOR_TABLE+256>},
sa_mask = {
val = {140737310613088, 140737488344272, 140737362966744, 140737361926184, 140737331822193, 140737290546008, 140737354013072,
140737488344528, 4294967295, 206158430224, 1, 2151360, 0, 0, 0, 140737354080256}}, sa_flags = -136454176, sa_restorer = 0x296c6c00000001}
sigs = {__val = {32, 0 <repeats 15 times>}}
0000002 0x00007ffff7ff960b in -[SOGo handleException:inContext:] (self=0x7ffff866a2b8, _cmd=0x7ffff6d8a8a0, _exc=0x7ffff884f338, _ctx=0x7ffff878b928)
at SOGo.m:400
No locals.
0000003 0x00007ffff6a56ee2 in -[WORequestHandler handleRequest:] (self=0x7ffff8587a48, _cmd=0x7ffff6d55740, _request=0x7ffff878cf28) at WORequestHandler.m:264
localException = 0x7ffff884f338
startHandling = 0
app = 0x7ffff866a2b8
response = 0x0
context = 0x7ffff878b928
thread = 0x7ffff82fcb38
sessionId = 0x0
session = 0x0
uri = 0x7ffff877e7c8
0000004 0x00007ffff6a1278c in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x7ffff866a2b8, _cmd=0x7ffff6d557a0, _request=0x7ffff878cf28,
handler=0x7ffff8587a48) at WOCoreApplication.m:712
startDispatch = 0
response = 0x0
startDispatch = 0
0000005 0x00007ffff6a12ae8 in -[WOCoreApplication dispatchRequest:] (self=0x7ffff866a2b8, _cmd=0x7ffff8201160, _request=0x7ffff878cf28) at WOCoreApplication.m:752
handler = 0x7ffff8587a48
0000006 0x00007ffff7ff98a9 in -[SOGo dispatchRequest:] (self=0x7ffff866a2b8, _cmd=0x7ffff6debb60, _request=0x7ffff878cf28) at SOGo.m:453
runLoopModes = 0x0
debugOn = 0 '\000'
resp = 0x7ffff877e838
startDate = 0x7fffffffd7f0
timeDelta = 6.9533495623744951e-310
objc_super = {self = 0x7ffff866a2b8, super_class = 0x7ffff6dfb500}
0000007 0x00007ffff6abc459 in -[WOHttpTransaction _run] (self=0x7ffff8770f48, _cmd=0x7ffff6debb90) at WOHttpTransaction.m:592
No locals.
0000008 0x00007ffff6abc82b in -[WOHttpTransaction run] (self=0x7ffff8770f48, _cmd=0x7ffff6de9900) at WOHttpTransaction.m:645
ok = 1 '\001'
0000009 0x00007ffff6ab7daf in -[WOHttpAdaptor runConnection:] (self=0x7ffff86b1f18, _cmd=0x7ffff6de99a0, _socket=0x7ffff876d828) at WOHttpAdaptor.m:367
tx = 0x7ffff8770f48
0000010 0x00007ffff6ab8003 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x7ffff86b1f18, _cmd=0x7ffff6de99b0, _connection=0x7ffff876d828)
at WOHttpAdaptor.m:401
t = 6.9533467978120416e-310
0000011 0x00007ffff6ab8468 in -[WOHttpAdaptor _handleConnection:] (self=0x7ffff86b1f18, _cmd=0x7ffff6de9a60, connection=0x7ffff876d828) at WOHttpAdaptor.m:460
No locals.
0000012 0x00007ffff6ab8958 in -[WOHttpAdaptor acceptConnection:] (self=0x7ffff86b1f18, _cmd=0x7ffff6de98c0, _notification=0x7ffff876cb08) at WOHttpAdaptor.m:521
No locals.
0000013 0x00007ffff5206e2f in -[NSNotificationCenter _postAndRelease:] (self=0x7ffff83008b8, _cmd=0x7ffff56c2a50, notification=0x7ffff876cb08)
at NSNotificationCenter.m:1223
o = 0x7ffff83036e0
count = 0
name = 0x7ffff60caf60
object = 0x7ffff8767fd9
n = 0x0
---Type <return> to continue, or q <return> to quit---quit

Calendar:

EXCEPTION: <NSException: 0x7ffff89e6e38> NAME:NSInvalidArgumentException REASON:WOContext(instance) does not recognize length INFO:(null)

Program received signal SIGABRT, Aborted.
0x00007ffff43868e5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64 return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install libidn-1.18-2.el6.x86_64 libtool-ltdl-2.2.6-15.5.el6.x86_64
(gdb) bt full
#0 0x00007ffff43868e5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
resultvar = 0
pid = <value optimized out>
selftid = 5047
0000001 0x00007ffff43880c5 in abort () at abort.c:92
save_stage = 2
act = {sigaction_handler = {sa_handler = 0x7ffff56ccae0 <_OBJC_SELECTOR_TABLE+256>, sa_sigaction = 0x7ffff56ccae0 <_OBJC_SELECTOR_TABLE+256>},
sa_mask = {
val = {140737310613088, 140737488344272, 140737364355816, 140737363938200, 140737331822193, 140737290546008, 140737354013072,
140737488344528, 4294967295, 206158430224, 1, 2151360, 0, 0, 0, 140737354080256}}, sa_flags = -136454176, sa_restorer = 0x296c6c00000001}
sigs = {__val = {32, 0 <repeats 15 times>}}
0000002 0x00007ffff7ff960b in -[SOGo handleException:inContext:] (self=0x7ffff866a2b8, _cmd=0x7ffff6d8a8a0, _exc=0x7ffff89e6e38, _ctx=0x7ffff878ba88)
at SOGo.m:400
No locals.
0000003 0x00007ffff6a56ee2 in -[WORequestHandler handleRequest:] (self=0x7ffff8587a48, _cmd=0x7ffff6d55740, _request=0x7ffff8808dc8) at WORequestHandler.m:264
localException = 0x7ffff89e6e38
startHandling = 0
app = 0x7ffff866a2b8
response = 0x0
context = 0x7ffff878ba88
thread = 0x7ffff82fcb38
sessionId = 0x0
session = 0x0
uri = 0x7ffff89e60d8
0000004 0x00007ffff6a1278c in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x7ffff866a2b8, _cmd=0x7ffff6d557a0, _request=0x7ffff8808dc8,
handler=0x7ffff8587a48) at WOCoreApplication.m:712
startDispatch = 0
response = 0x0
startDispatch = 0
0000005 0x00007ffff6a12ae8 in -[WOCoreApplication dispatchRequest:] (self=0x7ffff866a2b8, _cmd=0x7ffff8201160, _request=0x7ffff8808dc8) at WOCoreApplication.m:752
handler = 0x7ffff8587a48
0000006 0x00007ffff7ff98a9 in -[SOGo dispatchRequest:] (self=0x7ffff866a2b8, _cmd=0x7ffff6debb60, _request=0x7ffff8808dc8) at SOGo.m:453
runLoopModes = 0x7ffff8945d48
debugOn = 0 '\000'
resp = 0x7ffff88b6b78
startDate = 0x7fffffffd7f0
timeDelta = 6.9533496398352929e-310
objc_super = {self = 0x7ffff866a2b8, super_class = 0x7ffff6dfb500}
0000007 0x00007ffff6abc459 in -[WOHttpTransaction _run] (self=0x7ffff8829558, _cmd=0x7ffff6debb90) at WOHttpTransaction.m:592
No locals.
0000008 0x00007ffff6abc82b in -[WOHttpTransaction run] (self=0x7ffff8829558, _cmd=0x7ffff6de9900) at WOHttpTransaction.m:645
ok = 1 '\001'
0000009 0x00007ffff6ab7daf in -[WOHttpAdaptor runConnection:] (self=0x7ffff86b1f18, _cmd=0x7ffff6de99a0, _socket=0x7ffff8958b98) at WOHttpAdaptor.m:367
tx = 0x7ffff8829558
0000010 0x00007ffff6ab8003 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x7ffff86b1f18, _cmd=0x7ffff6de99b0, _connection=0x7ffff8958b98)
at WOHttpAdaptor.m:401
t = 6.9533467978120416e-310
0000011 0x00007ffff6ab8468 in -[WOHttpAdaptor _handleConnection:] (self=0x7ffff86b1f18, _cmd=0x7ffff6de9a60, connection=0x7ffff8958b98) at WOHttpAdaptor.m:460
No locals.
0000012 0x00007ffff6ab8958 in -[WOHttpAdaptor acceptConnection:] (self=0x7ffff86b1f18, _cmd=0x7ffff6de98c0, _notification=0x7ffff8845f18) at WOHttpAdaptor.m:521
No locals.
0000013 0x00007ffff5206e2f in -[NSNotificationCenter _postAndRelease:] (self=0x7ffff83008b8, _cmd=0x7ffff56c2a50, notification=0x7ffff8845f18)
at NSNotificationCenter.m:1223
o = 0x7ffff83036e0
count = 0
name = 0x7ffff60caf60
object = 0x7ffff8767fd9
n = 0x0
---Type <return> to continue, or q <return> to quit---

ludovic

ludovic

2013-10-22 11:31

administrator   ~0006153

Show us the complete list of SOGo AND SOPE packages that you have installed.

kossa

kossa

2013-10-22 14:45

reporter   ~0006160

Everything updated from 2.0.7

sogo-2.1.0.20131022-1.centos6.x86_64
sogo-tool-2.1.0.20131022-1.centos6.x86_64
sogo-debuginfo-2.1.0.20131022-1.centos6.x86_64

sope49-core-4.9-20131019_1664.el6.1.x86_64
sope49-mime-4.9-20131019_1664.el6.1.x86_64
sope49-debuginfo-4.9-20131019_1664.el6.1.x86_64
sope49-xml-4.9-20131019_1664.el6.1.x86_64
sope49-ldap-4.9-20131019_1664.el6.1.x86_64
sope49-gdl1-contentstore-2.1.0.20131022-1.centos6.x86_64
sope49-sbjson-2.3.1-20131019_1664.el6.1.x86_64
sope49-cards-2.1.0.20131022-1.centos6.x86_64
sope49-gdl1-4.9-20131019_1664.el6.1.x86_64
sope49-appserver-4.9-20131019_1664.el6.1.x86_64
sope49-gdl1-postgresql-4.9-20131019_1664.el6.1.x86_64

davrom

davrom

2013-10-25 01:29

reporter   ~0006178

Sorry for the delay guys.

Firstly ran:

yum -y update sogo
yum -y update sope49

Packages are:

sogo-2.1.0.20131024-1.centos6.i686
sogo-debuginfo-2.1.0.20131024-1.centos6.i686
sope49-appserver-4.9-20131019_1664.el6.1.i686
sope49-cards-2.1.0.20131024-1.centos6.i686
sope49-core-4.9-20131019_1664.el6.1.i686
sope49-debuginfo-4.9-20131019_1664.el6.1.i686
sope49-gdl1-4.9-20131019_1664.el6.1.i686
sope49-gdl1-contentstore-2.1.0.20131024-1.centos6.i686
sope49-gdl1-mysql-4.9-20131019_1664.el6.1.i686
sope49-ldap-4.9-20131019_1664.el6.1.i686
sope49-mime-4.9-20131019_1664.el6.1.i686
sope49-sbjson-2.3.1-20131019_1664.el6.1.i686
sope49-xml-4.9-20131019_1664.el6.1.i686

Here is the 'run' and 'bt full' output:

(gdb) b [NSException raise]
Function "" not defined.
Make breakpoint pending on future shared library load? (y or [n])
(gdb) b abort
Breakpoint 1 at 0x28cc
(gdb) run
Starting program: /usr/sbin/sogod -WOUseWatchDog NO -WONoDetach YES -WOPort 20000 -WOWorkersCount 1 -WOLogFile - -WOPidFile /tmp/sogo.pid
[Thread debugging using libthread_db enabled]
Oct 25 15:25:10 sogod [6609]: version 2.1.0 (build root@shiva.inverse 201310240012) -- starting
Oct 25 15:25:10 sogod [6609]: vmem size check enabled: shutting down app when vmem > 384 MB
Oct 25 15:25:11 sogod [6609]: <0x0x2acb74[SOGoProductLoader]> SOGo products loaded from '/usr/lib/GNUstep/SOGo':
Oct 25 15:25:11 sogod [6609]: <0x0x2acb74[SOGoProductLoader]> ContactsUI.SOGo, MailPartViewers.SOGo, AdministrationUI.SOGo, Contacts.SOGo, MainUI.SOGo, Mailer.SOGo, Appointments.SOGo, PreferencesUI.SOGo, CommonUI.SOGo, SchedulerUI.SOGo, MailerUI.SOGo
Oct 25 15:25:12 sogod [6609]: |SOGo| WOHttpAdaptor listening on address *:20000
2013-10-25 15:25:33.559 sogod[6609] Note: Using UTF-8 as URL encoding in NGExtensions.
Oct 25 15:25:33 sogod [6609]: <0x0x29925c[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Oct 25 15:25:33 sogod [6609]: <0x0x29925c[SOGoCache]> Using host(s) '127.0.0.1' as server(s)
2013-10-25 15:25:33.635 sogod[6609] Note(SoObject): SoDebugKeyLookup is enabled!
2013-10-25 15:25:33.635 sogod[6609] Note(SoObject): SoDebugBaseURL is enabled!
2013-10-25 15:25:33.635 sogod[6609] Note(SoObject): relative base URLs are enabled.

Program received signal SIGSEGV, Segmentation fault.
0xb73eb3ed in objc_msg_lookup () from /usr/lib/libobjc.so.2
Missing separate debuginfos, use: debuginfo-install cyrus-sasl-lib-2.1.23-13.el6_3.1.i686 glib2-2.22.5-7.el6.i686 glibc-2.12-1.107.el6_4.4.i686 keyutils-libs-1.4-4.el6.i686 krb5-libs-1.10.3-10.el6_4.6.i686 lasso-2.3.6-1.centos6.i686 libcom_err-1.41.12-14.el6_4.2.i686 libcurl-7.19.7-37.el6_4.i686 libffi-3.0.10-1.i686 libgcc-4.4.7-3.el6.i686 libicu-4.2.1-9.1.el6_2.i686 libidn-1.18-2.el6.i686 libmemcached-0.49-1.i686 libobjc-4.4.7-3.el6.i686 libselinux-2.0.94-5.3.el6_4.1.i686 libssh2-1.4.2-1.el6.i686 libstdc++-4.4.7-3.el6.i686 libtool-ltdl-2.2.6-15.5.el6.i686 libxml2-2.7.6-12.el6_4.1.i686 libxslt-1.1.26-2.el6_3.1.i686 mysql-libs-5.1.69-1.el6_4.i686 nspr-4.9.5-2.el6_4.i686 nss-3.14.3-4.el6_4.i686 nss-softokn-freebl-3.14.3-3.el6_4.i686 nss-util-3.14.3-3.el6_4.i686 openldap-2.4.23-32.el6_4.1.i686 openssl-1.0.0-27.el6_4.2.i686 xmlsec1-1.2.16-2.el6.i686 xmlsec1-openssl-1.2.16-2.el6.i686 zlib-1.2.3-29.el6.i686
(gdb) bt full
#0 0xb73eb3ed in objc_msg_lookup () from /usr/lib/libobjc.so.2
No symbol table info available.
0000001 0xb7f200e2 in -[SOGoObject initWithName:inContainer:] (self=0x5038b4, _cmd=
0xb7f9a338, _name=0x3c3fd0, _container=0x4fd6bc) at SOGoObject.m:181
No locals.
0000002 0xb7f1ff66 in +[SOGoObject objectWithName:inContainer:] (self=0xb502a5c0,
_cmd=0xb7fa0598, _name=0x3c3fd0, _container=0x4fd6bc) at SOGoObject.m:147
object = 0xb7f96864
0000003 0xb7f36a06 in -[SOGoParentFolder newFolderWithName:andNameInContainer:] (
self=0x4fd6bc, _cmd=0xb5028d80, name=0x1c53bc, newNameInContainer=0x3c3fd0)
at SOGoParentFolder.m:339
newFolder = 0x10010f
error = 0x10010f
0000004 0xb501a2e9 in -[SOGoContactFolders newFolderWithName:andNameInContainer:] (
self=0x4fd6bc, _cmd=0xb7fa06d8, name=0x1c53bc, newNameInContainer=0x3c3fd0)
at SOGoContactFolders.m:189
currentUser = 0x4e4c44
result = 0x2a00
source = 0x4d76fc
objc_super = {self = 0x4fd6bc, super_class = 0xb7fa04e0}
0000005 0xb7f36c57 in -[SOGoParentFolder newFolderWithName:nameInContainer:] (self=
0x4fd6bc, _cmd=0xb5207c68, name=0x1c53bc, newNameInContainer=0xbfffe864)
at SOGoParentFolder.m:372
---Type <return> to continue, or q <return> to quit---
newFolderID = 0x3c3fd0
error = 0x4f4594
0000006 0xb51ffaac in -[UIxParentFolderActions createFolderAction] (self=0x4fe95c,
_cmd=0x3c3fd0) at UIxParentFolderActions.m:47
response = 0xb73eb3d8
name = 0x1c53bc
nameInContainer = 0x3c3fd0
0000007 0xb75a0c18 in -[NSObject performSelector:] (self=0x4fe95c, _cmd=
0xb7cc6730, aSelector=0x3c3fd0) at NSObject.m:1985
msg = 0xb51ff968 <-[UIxParentFolderActions createFolderAction]>
0000008 0xb7b9e436 in -[WODirectAction performActionNamed:] (self=0x4fe95c, _cmd=
0xb7d1cc58, _actionName=0x4e0a1c) at WODirectAction.m:97
actionSel = 0x3c3fd0
rng = {location = 2147483647, length = 0}
0000009 0xb7c2fee6 in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x50062c, _cmd=0xb7d1cc70, _client=0x4fd6bc,
_positionalArgs=0x0, _ctx=0x1d798c) at SoActionInvocation.m:300
method = 0x4fe95c
result = 0x0
0000010 0xb7c3001e in -[SoActionInvocation callOnObject:inContext:] (self=
0x50062c, _cmd=0xb7d1cc00, _client=0x4fd6bc, _ctx=0x1d798c)
at SoActionInvocation.m:316
No locals.
---Type <return> to continue, or q <return> to quit---
0000011 0xb7c2fc41 in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x30fb1c, _cmd=0xb7d1cc70, _client=0x4fd6bc,
_positionalArgs=0x0, _ctx=0x1d798c) at SoActionInvocation.m:259
method = 0xb7c2fbb7
result = 0x0
0000012 0xb7c3001e in -[SoActionInvocation callOnObject:inContext:] (self=
0x30fb1c, _cmd=0xb7d1b158, _client=0x4fd6bc, _ctx=0x1d798c)
at SoActionInvocation.m:316
No locals.
0000013 0xb7c2a16e in -[SoObjectMethodDispatcher dispatchInContext:] (self=
0x4dcfa4, _cmd=0xb7d1bb88, _ctx=0x1d798c) at SoObjectMethodDispatcher.m:191
pool = 0x1ba1fc
rq = 0x1eab0c
httpMethod = 0xb7cdb528
clientObject = 0x4fd6bc
methodObject = 0x30fb1c
resultObject = 0xbfffead8
0000014 0xb7c2c7bf in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x381d54, _cmd=0xb7ccff30, _rq=0x1eab0c, _ctx=0x1d798c, _sn=
0x0, app=0x3aebf4) at SoObjectRequestHandler.m:584
dispatcher = 0x4dcfa4
r = 0x0
object = 0x30fb1c
---Type <return> to continue, or q <return> to quit---
authenticator = 0x23e0b4
doDispatch = 1 '\001'
0000015 0xb7bb0cb0 in -[WORequestHandler handleRequest:] (self=0x381d54, _cmd=
0xb7caf130, _request=0x1eab0c) at WORequestHandler.m:237
startHandling = 0
app = 0x3aebf4
response = 0x0
context = 0x1d798c
thread = 0x1a9d7c
sessionId = 0x0
session = 0x0
uri = 0x3bbdec
0000016 0xb7b6ee1f in -[WOCoreApplication dispatchRequest:usingHandler:] (self=
0x3aebf4, _cmd=0xb7caf160, _request=0x1eab0c, handler=0x381d54)
at WOCoreApplication.m:712
startDispatch = 0
response = 0x0
startDispatch = 0
0000017 0xb7b6f153 in -[WOCoreApplication dispatchRequest:] (self=0x3aebf4, _cmd=
0x11b700, _request=0x1eab0c) at WOCoreApplication.m:752
handler = 0x381d54
0000018 0x00114241 in -[SOGo dispatchRequest:] (self=0x3aebf4, _cmd=0xb7d0c0d0,
_request=0x1eab0c) at SOGo.m:453
---Type <return> to continue, or q <return> to quit---
runLoopModes = 0x0
debugOn = 0 '\000'
resp = 0x1140a4
startDate = 0x2a00
timeDelta = 1.3339414866757722e-307
objc_super = {self = 0x3aebf4, super_class = 0xb7d18320}
0000019 0xb7c1a2e0 in -[WOHttpTransaction _run] (self=0x1bafd4, _cmd=0xb7d0c0e8)
at WOHttpTransaction.m:592
No locals.
0000020 0xb7c1a686 in -[WOHttpTransaction run] (self=0x1bafd4, _cmd=0xb7d0b0e0)
at WOHttpTransaction.m:645
ok = 1 '\001'
0000021 0xb7c15e48 in -[WOHttpAdaptor runConnection:] (self=0x34a54c, _cmd=
0xb7d0b130, _socket=0x1babbc) at WOHttpAdaptor.m:367
tx = 0x1bafd4
0000022 0xb7c16089 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x34a54c,
_cmd=0xb7d0b138, _connection=0x1babbc) at WOHttpAdaptor.m:401
t = -7.0752610456097667e-41
0000023 0xb7c164b9 in -[WOHttpAdaptor _handleConnection:] (self=0x34a54c, _cmd=
0xb7d0b190, connection=0x1babbc) at WOHttpAdaptor.m:460
No locals.
0000024 0xb7c16993 in -[WOHttpAdaptor acceptConnection:] (self=0x34a54c, _cmd=
0xb7d0b0c0, _notification=0x1ba074) at WOHttpAdaptor.m:521
---Type <return> to continue, or q <return> to quit---
No locals.
0000025 0xb75908ee in -[NSNotificationCenter _postAndRelease:] (self=0x1abc44,
_cmd=0xb78242e8, notification=0x1ba074) at NSNotificationCenter.m:1223
o = 0x1ad358
count = 0
name = 0xb798af80
object = 0x2f7665
n = 0x0
m = 0x1b9fe8
i = {{addr = 1758040, ext = 0x1ad358}, {addr = 3074345323, ext =
0xb73ec96b}, {addr = 1167384, ext = 0x11d018}, {addr = 589826, ext =
0x90002}, {addr = 3076066609, ext = 0xb7590d31}, {addr = 3074344994, ext =
0xb73ec822}, {addr = 3074345289, ext = 0xb73ec949}, {addr = 3086915442,
ext = 0xb7fe9772}, {addr = 3072391355, ext = 0xb720f8bb}, {addr =
3074569980, ext = 0xb74236fc}, {addr = 3041065968, ext = 0xb542fbf0}, {
addr = 1769474, ext = 0x1b0002}, {addr = 3086940461, ext =
0xb7fef92d}, {addr = 3074569787, ext = 0xb742363b}, {addr = 3079130384,
ext = 0xb787cd10}, {addr = 3087003588, ext = 0xb7ffefc4}, {addr =
3, ext = 0x3}, {addr = 20, ext = 0x14}, {addr = 3073971160, ext =
0xb73913d8}, {addr = 3086917382, ext = 0xb7fe9f06}, {addr = 3221221272,
ext = 0xbfffef98}, {addr = 24, ext = 0x18}, {addr = 3073971104,
ext = 0xb73913a0}, {addr = 1810536, ext = 0x1ba068}, {addr = 1,
ext = 0x1}, {addr = 3074338850, ext = 0xb73eb022}, {addr =
---Type <return> to continue, or q <return> to quit---
3073971104, ext = 0xb73913a0}, {addr = 3110500, ext = 0x2f7664}, {addr =
3221221304, ext = 0xbfffefb8}, {addr = 3072794574, ext = 0xb7271fce}, {
addr = 3078769376, ext = 0xb7824ae0}, {addr = 3076127909, ext =
0xb759fca5}, {addr = 3221221320, ext = 0xbfffefc8}, {addr = 3078506396,
ext = 0xb77e479c}, {addr = 1752132, ext = 0x1abc44}, {addr =
3110500, ext = 0x2f7664}, {addr = 3221221368, ext = 0xbfffeff8}, {addr =
3078506396, ext = 0xb77e479c}, {addr = 1752132, ext = 0x1abc44}, {addr =
3110500, ext = 0x2f7664}, {addr = 3221221352, ext = 0xbfffefe8}, {addr =
3076931262, ext = 0xb7663ebe}, {addr = 3221221360, ext = 0xbfffeff0}, {
addr = 1693896, ext = 0x19d8c8}, {addr = 2090623100, ext =
0x7c9c607c}, {addr = 1810544, ext = 0x1ba070}, {addr = 81, ext = 0x51}, {
addr = 3078506396, ext = 0xb77e479c}, {addr = 3221221400, ext =
0xbffff018}, {addr = 3076125454, ext = 0xb759f30e}, {addr = 3078767072,
ext = 0xb78241e0}, {addr = 1693896, ext = 0x19d8c8}, {addr =
3221221400, ext = 0xbffff018}, {addr = 3075657005, ext = 0xb752cd2d}, {
addr = 3078767072, ext = 0xb78241e0}, {addr = 1810548, ext =
0x1ba074}, {addr = 3074509500, ext = 0xb7414abc}, {addr = 0, ext = 0x0}, {
addr = 3087003588, ext = 0xb7ffefc4}, {addr = 3078506396, ext =
0xb77e479c}, {addr = 3221221496, ext = 0xbffff078}, {addr = 3074339800,
ext = 0xb73eb3d8}, {addr = 3078767072, ext = 0xb78241e0}, {addr =
1810548, ext = 0x1ba074}}
b = {ptr = 0xbfffef28, count = 1, cap = 64, old = 0, zone = 0xb785b920}
a = 0xbffff028
---Type <return> to continue, or q <return> to quit---
0000026 0xb7590bda in -[NSNotificationCenter postNotificationName:object:userInfo:]
(self=0x1abc44, _cmd=0xb78242f0, name=0xb798af80, object=0x2f7664, info=
0x0) at NSNotificationCenter.m:1282
notification = 0x1ba074
0000027 0xb7590a88 in -[NSNotificationCenter postNotificationName:object:] (self=
0x1abc44, _cmd=0xb798b088, name=0xb798af80, object=0x2f7664)
at NSNotificationCenter.m:1262
No locals.
0000028 0xb7949d83 in -[NSObject(FileObjectWatcher) receivedEvent:type:extra:forMode:] (self=0x2f7664, _cmd=0xb7879f08, _fdData=0x6, _type=ET_RDESC, _extra=0x6,
_mode=0xb7839538) at NSRunLoop+FileObjects.m:57
nc = 0x1abc44
0000029 0xb76a7d42 in -[GSRunLoopCtxt pollUntil:within:] (self=0x303474, _cmd=
0xb7839df0, milliseconds=29870, contexts=0x336ee4) at GSRunLoopCtxt.m:632
fd = 6
watcher = 0x1ba054
found = 0 '\000'
threadInfo = 0x2e9c14
poll_return = 1
fdEnd = 2
fdIndex = 1
fdFinish = 1
count = 4294967295
---Type <return> to continue, or q <return> to quit---
i = 4294967295
immediate = 0 '\000'
PRETTY_FUNCTION__ = "-[GSRunLoopCtxt pollUntil:within:]"
0000030 0xb75ded73 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x2b933c,
_cmd=0xb7839e10, mode=0xb7839538, limit_date=0x31811c) at NSRunLoop.m:1198
context = 0x303474
ti = 29.870645999908447
timeout_ms = 29870
savedMode = 0x0
arp = 0x1ba144
PRETTY_FUNCTION__ = "-[NSRunLoop acceptInputForMode:beforeDate:]"
0000031 0xb75df174 in -[NSRunLoop runMode:beforeDate:] (self=0x2b933c, _cmd=
0xb7caf0a8, mode=0xb7839538, date=0x30013c) at NSRunLoop.m:1266
arp = 0x1ba08c
d = 0x30013c
0000032 0xb7b6e5e8 in -[WOCoreApplication run] (self=0x3aebf4, _cmd=0x11b610)
at WOCoreApplication.m:584
loop = 0x2b933c
limitDate = 0x30013c
pool = 0x2f1f2c
0000033 0x001138bc in -[SOGo run] (self=0x3aebf4, _cmd=0xb7cc3990) at SOGo.m:277
objc_super = {self = 0x3aebf4, super_class = 0xb7d18320}
0000034 0xb7b9a4ad in WOApplicationMain (_appClassName=0x11a4e0, argc=13, argv=
---Type <return> to continue, or q <return> to quit---
0xbffff714) at WOApplicationMain.m:42
app = 0x3aebf4
pool = 0x2addac
0000035 0xb7bbcd06 in WOWatchDogApplicationMain (appName=0x11a4e0, argc=13, argv=
0xbffff714) at WOWatchDogApplicationMain.m:1048
pool = 0x1dea74
ud = 0x1ddff4
logFile = 0x1ff7e4
nsPidFile = 0x1ffbd4
rc = 1114112
i = 2
childPid = 0
processInfo = 0x14923c
WOAppClass = 0x11b440
0000036 0x00112b31 in main (argc=13, argv=0xbffff714, env=0xbffff74c) at sogod.m:53
pool = 0x1c3734
sd = 0x234cb4
rc = 0
(gdb) quit
A debugging session is active.

Inferior 1 [process 6609] will be killed.

Quit anyway? (y or n) y

davrom

davrom

2013-10-25 01:36

reporter   ~0006179

Got a little excited when I saw I was missing sogo-tool but did an install and restart of sogod, same issue.

I am still thinking I am 'missing' something but cannot find it. Here are the other packages installed around the current sogo and sope49 based on:

rpm -qa | egrep "mysql|kernel-|ldap" | sort

Output is:

apr-util-ldap-1.3.9-3.el6_0.1.i686
compat-openldap-2.3.43-2.el6.i686
dracut-kernel-004-303.el6.noarch
kernel-2.6.32-220.el6.i686
kernel-2.6.32-358.18.1.el6.i686
kernel-devel-2.6.32-220.el6.i686
kernel-devel-2.6.32-358.18.1.el6.i686
kernel-firmware-2.6.32-358.18.1.el6.noarch
kernel-headers-2.6.32-358.18.1.el6.i686
ldapjdk-4.18-6.el6.i686
mysql-5.1.69-1.el6_4.i686
mysql-connector-odbc-5.1.5r1144-7.el6.i686
mysql-devel-5.1.69-1.el6_4.i686
mysql-libs-5.1.69-1.el6_4.i686
mysql-server-5.1.69-1.el6_4.i686
nss-pam-ldapd-0.7.5-14.el6_2.1.i686
openldap-2.4.23-32.el6_4.1.i686
openldap-clients-2.4.23-32.el6_4.1.i686
openldap-devel-2.4.23-32.el6_4.1.i686
openldap-servers-2.4.23-32.el6_4.1.i686
pam_ldap-185-11.el6.i686
php-ldap-5.3.3-23.el6_4.i686
phpldapadmin-1.2.3-1.el6.noarch
php-mysql-5.3.3-23.el6_4.i686
python-ldap-2.3.10-1.el6.i686
qt-mysql-4.6.2-26.el6_4.i686
sope49-gdl1-mysql-4.9-20131019_1664.el6.1.i686
sope49-ldap-4.9-20131019_1664.el6.1.i686

Kernel is:

Linux mail.savcom.com.au 2.6.32-358.18.1.el6.i686 0000001 SMP Wed Aug 28 14:27:42 UTC 2013 i686 i686 i386 GNU/Linux

OS is:
CentOS release 6.4 (Final)

ludovic

ludovic

2013-10-25 07:32

administrator   ~0006180

Can we have access to the server?

Ie., http access for testing, and also ssh/root access for debugging. That shouldn't take more than 30 mins.

kossa

kossa

2013-10-29 18:17

reporter   ~0006196

Hi,
I've setup testing instance on AWS. Clean install, same problem. Contact me on email (from registration) and I will send you credentials.
Server is only for testing so fell free with any changes :)

ludovic

ludovic

2013-10-29 18:54

administrator   ~0006197

Send me all info, including a test account that exposes the issue and root credentials at lmarcotte@inverse.ca

ludovic

ludovic

2013-10-29 21:12

administrator   ~0006198

https://github.com/inverse-inc/sogo/commit/47c4ad5807fb1f982035c4dcdd9a400289afa143

Issue History

Date Modified Username Field Change
2013-10-11 01:47 davrom New Issue
2013-10-15 01:53 davrom Note Added: 0006099
2013-10-15 01:57 davrom Note Added: 0006100
2013-10-15 02:12 davrom Note Added: 0006101
2013-10-15 18:39 davrom Note Added: 0006106
2013-10-17 08:15 jraby Note Added: 0006108
2013-10-17 10:55 davrom Note Added: 0006111
2013-10-17 11:49 jraby Note Added: 0006112
2013-10-18 17:28 kossa Note Added: 0006141
2013-10-18 18:03 kossa Note Edited: 0006141 View Revisions
2013-10-18 18:05 kossa Note Edited: 0006141 View Revisions
2013-10-18 18:19 kossa Note Added: 0006142
2013-10-22 11:31 ludovic Note Added: 0006153
2013-10-22 14:45 kossa Note Added: 0006160
2013-10-25 01:29 davrom Note Added: 0006178
2013-10-25 01:36 davrom Note Added: 0006179
2013-10-25 07:32 ludovic Note Added: 0006180
2013-10-29 18:17 kossa Note Added: 0006196
2013-10-29 18:54 ludovic Note Added: 0006197
2013-10-29 21:12 ludovic Target Version => 2.1.0
2013-10-29 21:12 ludovic Note Added: 0006198
2013-10-29 21:12 ludovic Status new => closed
2013-10-29 21:12 ludovic Assigned To => ludovic
2013-10-29 21:12 ludovic Resolution open => fixed
2013-10-29 21:12 ludovic Fixed in Version => 2.1.0